subroutine readnc1(fil_nm,var_nm,nt,var)

implicit none

include 'netcdf.inc'

integer,parameter::r8 = selected_real_kind(12)

integer,intent(in)::nt
character(*),intent(in)::fil_nm,var_nm

real(r8),intent(out)::var(nt)
integer::ncid,vrid

call check(nf_open(fil_nm,nf_nowrite,ncid))  ! Open File
call check(nf_inq_varid(ncid,var_nm,vrid))   ! Get Variable
call check(nf_get_var_double(ncid,vrid,var)) ! Read Data
call check(nf_close(ncid))                   ! Close File

end subroutine readnc1
